Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1211039 - Add aspell-de to EPEL7 branch
Summary: Add aspell-de to EPEL7 branch
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: aspell-de
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-12 12:37 UTC by Frank Büttner
Modified: 2015-05-20 13:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-20 13:25:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 590700 None None None Never
Red Hat Bugzilla 1223431 None None None Never

Internal Links: 1223431

Description Frank Büttner 2015-04-12 12:37:02 UTC
Description of problem:
only the English and Slovak package are available.
But the German is missing.

Comment 1 Jan Chaloupka 2015-04-13 06:49:59 UTC
Frank,

aspell is being replaced by hunspell. There are still some aspell-* packages but they are here mainly for compatibility reasons.

RHEL7 already has hunspell-de package.

Is there a particular reason to have aspell-de in epel7? Would not be hunspell-de a suitable substitute?

Regards
Jan

Comment 2 Frank Büttner 2015-04-13 06:56:53 UTC
I use roundcubemail which depends on php-pspell.
And php-pspell depends on aspell.

Comment 3 Jan Chaloupka 2015-05-05 08:00:20 UTC
Hi Frank,

I am sorry for my late response. This task has gotten to bottom of my TODO list :(. After some reading it has been a while since aspell vs. haspell issue was discussed. Can you help me with it?  Can you search through mailing lists if there was such a discussion or some comparison?

I have written mail to our mailing list. Waiting for response.

Jan

Comment 4 Jan Chaloupka 2015-05-20 13:25:19 UTC
As written in [1]:
"aspell is only included as a build requirement for hunspell dictionaries. All apps in RHEL use hunspell as their supported spell checker; it's recommended that other apps do the same wherever possible."

So I recommend to report a bug for php-pspell to migrate to hunspell.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=590700


Note You need to log in before you can comment on or make changes to this bug.